package meerkat.bulletinboard.workers.singleserver;

import meerkat.protobuf.BulletinBoardApi.CloseBatchMessage;

import static meerkat.bulletinboard.BulletinBoardConstants.CLOSE_BATCH_PATH;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 * Tries to contact server once and perform a stop batch operation
 */
public class SingleServerCloseBatchWorker extends SingleServerGenericPostWorker<CloseBatchMessage> {

    public SingleServerCloseBatchWorker(String serverAddress, CloseBatchMessage payload, int maxRetry) {
        super(serverAddress, CLOSE_BATCH_PATH, payload, maxRetry);
    }

}
